
%if 0%{?fedora}
%global with_devel 0
%global with_bundled 1
%global with_debug 1
%else
%global with_devel 0
%global with_bundled 1
%global with_debug 0
%endif

%if 0%{?with_debug}
# https://bugzilla.redhat.com/show_bug.cgi?id=995136#c12
%global _dwz_low_mem_die_limit 0
%else
%global debug_package   %{nil}
%endif

# etcd release version major.minor
%global etcd_major_version 3
%global etcd_minor_version 4
%global etcd_patch_version 3


%global system_name		etcd

Name:		etcd
Version:	%{etcd_major_version}.%{etcd_minor_version}.%{etcd_patch_version}
Release:	1.0.4%{?dist}
Summary:	A highly-available key value store for shared configuration
License:	ASL 2.0
Group:      System/Management
URL:		https://github.com/coreos/etcd
Vendor:		Oracle America
Source0:        etcd-%{version}.tar.bz2

BuildRequires:  	golang >= 1.13.15
BuildRequires:  	libpcap-devel
BuildRequires:		systemd
Requires(pre):		shadow-utils
Requires(post): 	systemd
Requires(preun): 	systemd
Requires(postun): 	systemd

%description
A highly-available key value store for shared configuration.

%package -n %{system_name}-docker-image
Summary: etcd docker image for Oracle Linux

%description -n %{system_name}-docker-image
etcd docker image for Oracle Linux

%prep
%setup -q -n %{name}-%{version}

%build
unset GOPROXY
go version
export ETCD_SETUP_GOPATH=1
./build

%install
install -D -p -m 0755 bin/%{system_name} %{buildroot}%{_bindir}/%{system_name}
install -D -p -m 0755 bin/%{system_name}ctl %{buildroot}%{_bindir}/%{system_name}ctl

# And create /var/lib/etcd
install -d -m 0755 %{buildroot}%{_sharedstatedir}/%{system_name}

%files
%license LICENSE THIRD_PARTY_LICENSES.txt
%{_bindir}/%{system_name}
%{_bindir}/%{system_name}ctl

%changelog
* Fri Oct 30 2020 Durai Govindasamy <durai.vattakalvalasu.govindas@oracle.com> - 3.4.3-1.0.4
- bump version to support the release of ol8 image

* Tue Oct 13 2020 Tom Cocozzello <tom.cocozzello@oracle.com> - 3.4.3-1.0.3
- support building on ol8

* Mon Aug 17 2020 Tom Cocozzello <tom.cocozzello@oracle.com> - 3.4.3-1.0.2
- Address CVE-2020-16845

* Thu Jan 09 2020 Olcne-Builder Jenkins <olcne-builder_us@oracle.com> - 3.4.3-1.0.1
- Added Oracle specific build files
